//---------------------------------------------------------------------------
//
// Name:        Projet1App.cpp
// Author:      samourai
// Created:     10/02/2006 14:10:09
// Description:
//
//---------------------------------------------------------------------------

#include "Projet1App.h"

#include <Dcml/DecFloat.hpp>

#include "Projet1Frm.cpp"

IMPLEMENT_APP(Projet1FrmApp)

bool  Projet1FrmApp::OnInit()
{
   wxGetApp().SetUILanguage(wxLANGUAGE_FRENCH);
   Projet1Frm* frame = new Projet1Frm(NULL);

    SetTopWindow(frame);

    frame->Show(true);
    return true;
}

int Projet1FrmApp::OnExit()
{
	return 0;
}
void Projet1FrmApp::SetUILanguage(wxLanguage langue)

{
    wxLocale::AddCatalogLookupPathPrefix(wxT("locale"));
    m_Locale = new wxLocale( langue );
    m_Locale->AddCatalog(GetAppName());
   _EnFr_ = langue;  // voir DecInit.h

    if (wxLANGUAGE_FRENCH == m_Locale->GetSystemLanguage())  setlocale( LC_ALL, "French" );

    if (wxLANGUAGE_ENGLISH == m_Locale->GetSystemLanguage()) setlocale( LC_ALL, "English");

}

